services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false

  CodingMs\Commands\:
    resource: '../Classes/*'

  CodingMs\Commands\Command\CssClassUsageCommand:
    tags:
      - name: 'console.command'
        command: 'commands:cssclassusage'
        description: 'Css class usage commands from the command line.'
        schedulable: true

  CodingMs\Commands\Command\DatabaseCommand:
    tags:
      - name: 'console.command'
        command: 'commands:database'
        description: 'Database commands from the command line.'
        schedulable: true

  CodingMs\Commands\Command\FileSystemCommand:
    tags:
      - name: 'console.command'
        command: 'commands:filesystem'
        description: 'File system commands from the command line.'
        schedulable: true

  CodingMs\Commands\Command\GenerateSlugsCommand:
    tags:
      - name: 'console.command'
        command: 'commands:generateSlugs'
        description: 'Generate slugs from the command line.'
        schedulable: true

  CodingMs\Commands\Command\ImageCommand:
    tags:
      - name: 'console.command'
        command: 'commands:image'
        description: 'Image commands from the command line.'
        schedulable: true

  CodingMs\Commands\Command\ImageExtensionFixCommand:
    tags:
      - name: 'console.command'
        command: 'commands:imageextension'
        description: 'Image extension commands from the command line.'
        schedulable: true

  CodingMs\Commands\Command\ImageRteFixCommand:
    tags:
      - name: 'console.command'
        command: 'commands:imagertefix'
        description: 'Image RTE fix commands from the command line.'
        schedulable: true

  CodingMs\Commands\Command\NotifyUsersCommand:
    tags:
      - name: 'console.command'
        command: 'commands:notifyusers'
        description: 'Notify users commands from the command line.'
        schedulable: true

  CodingMs\Commands\Command\RecordCommand:
    tags:
      - name: 'console.command'
        command: 'commands:record'
        description: 'Record commands from the command line.'
        schedulable: true

  CodingMs\Commands\Command\ResizeImagesCommand:
    tags:
      - name: 'console.command'
        command: 'commands:resizeImages'
        description: 'Resize images from the command line.'
        schedulable: true

  CodingMs\Commands\Command\TranslationCommand:
    tags:
      - name: 'console.command'
        command: 'commands:translation'
        description: 'Translation commands from the command line.'
        schedulable: true
